EDIT - bug #10012

Fix failing SpecimensTreeViewTest for dataportals after debian11 migration
03/31/2022 12:05 PM - Andreas Mller

Status: Closed Start date: 05/02/2022
Priority: Highest Due date: 05/06/2022
Assignee: Katja Luther % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.32

Severity: major Found in Version:

Description

copied from #9972
First check if there is any strange behavior for specimen trees (and maybe others) due to the debian11 upgrade

e |gnore on SpecimensTreeViewTest due to problem with "squeeze" (Unable to locate element:
{"method":"id","selector":"squeeze"})

**%* FElement info: {Using=id, value=squeeze}

at sun.reflect.GeneratedConstructorAccessorl3.newInstance (Unknown Source)

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessorImpl
.java:45)

at java.lang.reflect.Constructor.newInstance (Constructor.java:423)

at org.openga.selenium.remote.ErrorHandler.createThrowable (ErrorHandler. java:206)

at org.opendga.selenium.remote.ErrorHandler.throwIfResponseFailed (ErrorHandler. java:158)

at org.opendga.selenium.remote.RemoteWebDriver.execute (RemoteWebDriver.java:678)

at org.openga.selenium.remote.RemoteWebDriver.findElement (RemoteWebDriver. java:363)

at org.openga.selenium.remote.RemoteWebDriver.findElementById (RemoteWebDriver. java:413)

at org.openga.selenium.By$ById.findElement (By. java:218)

at org.openga.selenium.remote.RemoteWebDriver.findElement (RemoteWebDriver.java:355)

at eu.etaxonomy.dataportal.pages.PortalPage.getDataPortalContent (PortalPage. java:443)

at eu.etaxonomy.dataportal.selenium.tests.reference.SpecimensTreeViewTest.loadPage (SpecimensTr
eeViewTest. java:62)

at eu.etaxonomy.dataportal.selenium.tests.reference.SpecimensTreeViewTest.switchToView (Specime
nsTreeViewTest. java:56)

Related issues:
Related to EDIT - task #10008: Cleanup after server upgrades New 04/08/2022 04/22/2022
Copied from EDIT - task #9972: Upgrade edit-integration Closed 03/17/2022 03/25/2022

Associated revisions

Revision 0880ebb5 - 05/23/2022 10:01 AM - Katja Luther

ref #10012: reenable tests

History

#1 - 03/31/2022 12:06 PM - Andreas Miiller
- Copied from task #9972: Upgrade edit-integration added

#2 - 03/31/2022 12:06 PM - Andreas Miuller

- Tags set to specimens-view-tree

#3 - 04/12/2022 12:07 PM - Katja Luther

Tested the tree view with local portal installation connected to the same cdm instance (https://int.e-taxonomy.eu/cdmserver/integration_reference/) ->
works

Tested other taxa in reference portal, for example
https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/58dfe85b-74d6-4bcd-bf75-a3be54d11fb9/specimens -> works

But opening https:/int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/d245083e-3bda-435f-9bb3-bdc2249ff23c/specimens
https://dev.e-taxonomy.eu/redmine/issues/9972
https://int.e-taxonomy.eu/cdmserver/integration_reference/
https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/58dfe85b-74d6-4bcd-bf75-a3be54d11fb9/specimens
https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/d245083e-3bda-435f-9bb3-bdc2249ff23c/specimens

results in '500 Internal Server Error'

int.e-taxonomy.eufdataportal/integration/referencefcdm_dataportal/taxon/d245083e-3bda-435F9bb3-bdc2249FF2 3c/specimens

508 Internal Server Error @
HTTE/1.0
332 B (0 B Grofke)

strict-origin-when-cross-origin

Antwortkopfzeilen (332 B) UnfFormati

Cache-Control: ne-cache, must-revalidate
™ Connectinne docs
Inspecting the cdm_server.log does not show any problems. Only "HHH000179: Narrowing proxy to class
eu.etaxonomy.cdm.model.occurrence.MediaSpecimen - this operation breaks ==" and "HHH000179: Narrowing proxy to class
eu.etaxonomy.cdm.model.taxon.Taxon - this operation breaks ==" but this should not result in an Internal Server Error

#4 - 04/13/2022 10:49 AM - Katja Luther

- Status changed from New to In Progress

The problem is caused by the Specimen CEDIT 2017E68. If this is used as SpecimenTypedesignation or the taxon is used as determined taxon,
then the Server Error appears. Removing this specimen everything works fine.

The url https://plants.jstor.org/stable/viewer/10.5555/al.ap.specimen.linn-hs1310-54 causes the problems.

adding the JSTOR image viewer link to a specimen in a production database works, so this problem seems related to the debian11 update,
because it does not appear on any other system.

error is: PHP Fatal error: Call to undefined function curl_init() in /var/www/drupal-7-cdm-dataportal/modules/cdm_da
taportal/lib/FaviconDownloader.php on line 261, referer:

https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/d245083e-3bda-435f-9bb3-bdc2249ff23¢c
* report page of the portal says the php version is php5.6, but composer diagnose saysphp 7.4

PHP 5.6.40-0+debBul2 (more information)
PHP extensions Enabled

PHP memory limit 256M

PHP register globals Disabled

TinyMCE CodeMagic Installed correctly

Unicode library PHP Mbstring Extension

#5 - 04/27/2022 12:00 PM - Andreas Miiller
- Due date changed from 04/08/2022 to 05/06/2022
- Start date changed from 04/06/2022 to 05/02/2022

#6 - 05/05/2022 02:07 PM - Katja Luther
- File Screenshot 2022-05-05 140639.png added

#7 - 05/22/2022 05:40 PM - Katja Luther
- File Screenshot 2022-05-22 173830.png added

#8 - 05/23/2022 10:03 AM - Katja Luther
- % Done changed from 0 to 80

php5 needed to be disabled and php7.4 enabled. This is done and pages with jstor image viewer as url are displayed correctly now. Reenabled the
tests again.

#9 - 05/23/2022 01:04 PM - Katja Luther

04/20/2024 2/3


https://plants.jstor.org/stable/viewer/10.5555/al.ap.specimen.linn-hs1310-54
https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/d245083e-3bda-435f-9bb3-bdc2249ff23c

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Tests are ok again, so we can close this ticket.

#10 - 05/23/2022 03:31 PM - Andreas Miiller
- Related to task #10008: Cleanup after server upgrades added

Files
Screenshot 2022-05-05 140639.png 26.5 KB 05/05/2022 Katja Luther
Screenshot 2022-05-22 173830.png 12.2 KB 05/22/2022 Katja Luther
